<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ZipPackagePart (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ZipPackagePart (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ZipPackagePart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/ZipPackagePart.html"
               target="_top">Frames</a></li>
        <li><a href="ZipPackagePart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.openxml4j.opc.PackagePart">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.openxml4j.opc</div>
    <h2 title="Class ZipPackagePart" class="title">Class ZipPackagePart</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                       title="class in org.apache.poi.openxml4j.opc">org.apache.poi.openxml4j.opc.PackagePart</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.openxml4j.opc.ZipPackagePart</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Comparable&lt;<a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                   title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&gt;, <a
                            href="../../../../../org/apache/poi/openxml4j/opc/RelationshipSource.html"
                            title="interface in org.apache.poi.openxml4j.opc">RelationshipSource</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">ZipPackagePart</span>
extends <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
           title="class in org.apache.poi.openxml4j.opc">PackagePart</a></pre>
                <div class="block">Zip implementation of a PackagePart.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Version:</span></dt>
                    <dd>1.0</dd>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Julien Chable</dd>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                           title="class in org.apache.poi.openxml4j.opc"><code>PackagePart</code></a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.openxml4j.opc.PackagePart">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.openxml4j.opc.<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#Z:Z_container">_container</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#Z:Z_contentType">_contentType</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#Z:Z_partName">_partName</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#ZipPackagePart-org.apache.poi.openxml4j.opc.OPCPackage-org.apache.commons.compress.archivers.zip.ZipArchiveEntry-org.apache.poi.openxml4j.opc.PackagePartName-java.lang.String-">ZipPackagePart</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container,
                                    org.apache.commons.compress.archivers.zip.ZipArchiveEntry&nbsp;zipEntry,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                       title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName,
                                    java.lang.String&nbsp;contentType)</code>
                                    <div class="block">Constructor.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#close--">close</a></span>()</code>
                                    <div class="block">Close this part : flush this part, close the input stream and
                                        output
                                        stream.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#flush--">flush</a></span>()</code>
                                    <div class="block">Flush the content of this part.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected java.io.InputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#getInputStreamImpl--">getInputStreamImpl</a></span>()</code>
                                    <div class="block">Implementation of the getInputStream() which return the
                                        inputStream of
                                        this part zip entry.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected java.io.OutputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#getOutputStreamImpl--">getOutputStreamImpl</a></span>()</code>
                                    <div class="block">Implementation of the getOutputStream().</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#getSize--">getSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst">
                                    <code>org.apache.commons.compress.archivers.zip.ZipArchiveEntry</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#getZipArchive--">getZipArchive</a></span>()</code>
                                    <div class="block">Get the zip entry of this part.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#load-java.io.InputStream-">load</a></span>(java.io.InputStream&nbsp;ios)</code>
                                    <div class="block">Load the content of this part.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html#save-java.io.OutputStream-">save</a></span>(java.io.OutputStream&nbsp;os)</code>
                                    <div class="block">Save the content of this part and the associated relationships
                                        part (if
                                        this part own at least one relationship) into the specified output
                                        stream.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.openxml4j.opc.PackagePart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.openxml4j.opc.<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#addExternalRelationship-java.lang.String-java.lang.String-">addExternalRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#addExternalRelationship-java.lang.String-java.lang.String-java.lang.String-">addExternalRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#addRelationship-org.apache.poi.openxml4j.opc.PackagePartName-org.apache.poi.openxml4j.opc.TargetMode-java.lang.String-">addRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#addRelationship-org.apache.poi.openxml4j.opc.PackagePartName-org.apache.poi.openxml4j.opc.TargetMode-java.lang.String-java.lang.String-">addRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#addRelationship-java.net.URI-org.apache.poi.openxml4j.opc.TargetMode-java.lang.String-">addRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#addRelationship-java.net.URI-org.apache.poi.openxml4j.opc.TargetMode-java.lang.String-java.lang.String-">addRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#clear--">clear</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#clearRelationships--">clearRelationships</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#compareTo-org.apache.poi.openxml4j.opc.PackagePart-">compareTo</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#findExistingRelation-org.apache.poi.openxml4j.opc.PackagePart-">findExistingRelation</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getContentType--">getContentType</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getContentTypeDetails--">getContentTypeDetails</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getInputStream--">getInputStream</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getOutputStream--">getOutputStream</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getPackage--">getPackage</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getPartName--">getPartName</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getRelatedPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getRelatedPart</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getRelationship-java.lang.String-">getRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getRelationships--">getRelationships</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getRelationshipsByType-java.lang.String-">getRelationshipsByType</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#hasRelationships--">hasRelationships</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#isDeleted--">isDeleted</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#isRelationshipExists-org.apache.poi.openxml4j.opc.PackageRelationship-">isRelationshipExists</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#isRelationshipPart--">isRelationshipPart</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#removeRelationship-java.lang.String-">removeRelationship</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#setContentType-java.lang.String-">setContentType</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#setDeleted-boolean-">setDeleted</a>,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ZipPackagePart-org.apache.poi.openxml4j.opc.OPCPackage-org.apache.commons.compress.archivers.zip.ZipArchiveEntry-org.apache.poi.openxml4j.opc.PackagePartName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ZipPackagePart</h4>
                                <pre>public&nbsp;ZipPackagePart(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container,
                      org.apache.commons.compress.archivers.zip.ZipArchiveEntry&nbsp;zipEntry,
                      <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                         title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;partName,
                      java.lang.String&nbsp;contentType)
               throws <a href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                         title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></pre>
                                <div class="block">Constructor.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>container</code> - The container package.</dd>
                                    <dd><code>zipEntry</code> - The zip entry corresponding to this part.</dd>
                                    <dd><code>partName</code> - The part name.</dd>
                                    <dd><code>contentType</code> - Content type.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                        - Throws if the content of this part is invalid.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getZipArchive--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getZipArchive</h4>
                                <pre>public&nbsp;org.apache.commons.compress.archivers.zip.ZipArchiveEntry&nbsp;getZipArchive()</pre>
                                <div class="block">Get the zip entry of this part.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The zip entry in the zip structure coresponding to this part.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getInputStreamImpl--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getInputStreamImpl</h4>
                                <pre>protected&nbsp;java.io.InputStream&nbsp;getInputStreamImpl()
                                          throws java.io.IOException</pre>
                                <div class="block">Implementation of the getInputStream() which return the inputStream
                                    of
                                    this part zip entry.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getInputStreamImpl--">getInputStreamImpl</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Input stream of this part zip entry.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - Throws if an IO Exception occur in the
                                        implementation
                                        method.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOutputStreamImpl--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOutputStreamImpl</h4>
                                <pre>protected&nbsp;java.io.OutputStream&nbsp;getOutputStreamImpl()</pre>
                                <div class="block">Implementation of the getOutputStream(). Return <b>null</b>. Normally
                                    will never be called since the MemoryPackage is use instead.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getOutputStreamImpl--">getOutputStreamImpl</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><b>null</b></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public&nbsp;long&nbsp;getSize()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#getSize--">getSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The length of the part in bytes, or -1 if not known</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="save-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>save</h4>
                                <pre>public&nbsp;boolean&nbsp;save(java.io.OutputStream&nbsp;os)
             throws <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                       title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#save-java.io.OutputStream-">PackagePart</a></code></span>
                                </div>
                                <div class="block">Save the content of this part and the associated relationships part
                                    (if
                                    this part own at least one relationship) into the specified output
                                    stream.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#save-java.io.OutputStream-">save</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>os</code> - Output stream to save this part.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>boolean flag that shows if the save succeeded</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                        - If any exception occur.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="load-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>load</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;boolean&nbsp;load(java.io.InputStream&nbsp;ios)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#load-java.io.InputStream-">PackagePart</a></code></span>
                                </div>
                                <div class="block">Load the content of this part.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#load-java.io.InputStream-">load</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ios</code> - The input stream of the content to load.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><b>true</b> if the content has been successfully loaded, else
                                        <b>false</b>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="close--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>close</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;close()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#close--">PackagePart</a></code></span>
                                </div>
                                <div class="block">Close this part : flush this part, close the input stream and output
                                    stream. After this method call, the part must be available for packaging.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#close--">close</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="flush--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>flush</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;void&nbsp;flush()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#flush--">PackagePart</a></code></span>
                                </div>
                                <div class="block">Flush the content of this part. If the input stream and/or output
                                    stream
                                    as in a waiting state to read or write, the must to empty their
                                    respective buffer.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html#flush--">flush</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ZipPackagePart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/ZipPackagePart.html"
               target="_top">Frames</a></li>
        <li><a href="ZipPackagePart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.openxml4j.opc.PackagePart">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
